{{- define "deploy_kubernetes_master_url" -}}
  {{ .Values.deploy_kubernetes_master_url | default "https://kubernetes.default.svc" }}
{{- end -}}
{{- define "deploy_nfs_server" -}}
  {{ .Values.deploy_nfs_server | default "none" }}
{{- end -}}
{{- define "deploy_nfs_path" -}}
  {{ .Values.deploy_nfs_path | default "/" }}
{{- end -}}
{{- define "deploy_storage_class_name" -}}
  {{ .Values.deploy_storage_class_name | default "none" }}
{{- end -}}
{{- define "deploy_image_pull_policy" -}}
  {{ .Values.deploy_image_pull_policy | default "IfNotPresent" }}
{{- end -}}
{{- define "deploy_image_pull_secret" -}}
  {{ if .Values.deploy_image_pull_secret -}}
      imagePullSecrets:
      - name: {{ .Values.deploy_image_pull_secret }}
  {{- end }}
{{- end -}}
{{- define "deploy_service_type" -}}
  {{ .Values.deploy_service_type | default "NodePort" }}
{{- end -}}
{{- define "deploy_imanager_service_protocol" -}}
  {{ .Values.deploy_imanager_service_protocol | default "http" }}
{{- end -}}
{{- define "deploy_imanager_service_scheme" -}}
  {{ .Values.deploy_imanager_service_protocol | default "http" | upper }}
{{- end -}}
{{- define "deploy_https_enabled" -}}
  {{- if (eq .Values.deploy_imanager_service_protocol "https") -}}
    true
  {{- else -}}
    false
  {{- end -}}
{{- end -}}
{{- define "deploy_alert_manager_enabled" -}}
  {{- if eq .Values.deploy_disable_alert true -}}
    false
  {{- else -}}
    true
  {{- end -}}
{{- end -}}
{{- define "deploy_disable_alert" -}}
  {{ .Values.deploy_disable_alert | default "false" }}
{{- end -}}
{{- define "deploy_alert_manager_url" -}}
  {{- if .Values.deploy_disable_alert -}}
    none
  {{- else -}}
    {{ .Values.deploy_alert_manager_url | default (printf "http://alertmanager.%s.svc.cluster.local:9093/api/v1" .Release.Namespace) }}
  {{- end -}}
{{- end -}}
{{- define "deploy_cpu_limit" -}}
  {{ .Values.deploy_cpu_limit | default "2" }}
{{- end -}}
{{- define "deploy_memory_limit" -}}
  {{ .Values.deploy_memory_limit | default "4Gi" }}
{{- end -}}
{{- define "deploy_iserver_tag" -}}
  {{ .Values.deploy_iserver_tag | default "10.1.1" }}
{{- end -}}
{{- define "deploy_iportal_tag" -}}
  {{ .Values.deploy_iportal_tag | default "10.1.1" }}
{{- end -}}
{{- define "deploy_idesktop_tag" -}}
  {{ .Values.deploy_idesktop_tag | default "10.1.1" }}
{{- end -}}
{{- define "deploy_gis_app_tag" -}}
  {{ .Values.deploy_gis_app_tag | default "latest" }}
{{- end -}}
{{- define "deploy_image_tag" -}}
  {{ .Values.deploy_image_tag | default "11.1.1-amd64" }}
{{- end -}}
{{- define "deploy_imanager_port" -}}
  {{ .Values.deploy_imanager_port | default "31100" }}
{{- end -}}
{{- define "deploy_disable_bslicense_local_volume" -}}
  {{ .Values.deploy_disable_bslicense_local_volume | default "false" }}
{{- end }}
{{- define "bslicense_storage_class" -}}
  {{- if not .Values.deploy_disable_bslicense_local_volume -}}
    pvc-bslicense-data
  {{- else if .Values.deploy_nfs_server -}}
      appset-storage-class-gisappset
  {{- else if .Values.deploy_storage_class_name -}}
      {{ .Values.deploy_storage_class_name }}
  {{- else -}}
    pvc-bslicense-data
  {{- end -}}
{{- end -}}
{{- define "deploy_disable_hbase_nfs_volume" -}}
  {{ .Values.deploy_disable_hbase_nfs_volume | default "false" }}
{{- end -}}
{{- define "deploy_kubernetes_public_ip" -}}
  {{ .Values.deploy_kubernetes_public_ip }}
{{- end -}}
{{- define "deploy_domain_ip" -}}
  {{ .Values.deploy_domain_ip | default .Values.deploy_kubernetes_public_ip }}
{{- end -}}
{{- define "deploy_weixin_token" -}}
  {{ .Values.deploy_weixin_token | default "none" }}
{{- end -}}
{{- define "deploy_weixin_corp_id" -}}
  {{ .Values.deploy_weixin_corp_id | default "none" }}
{{- end -}}
{{- define "deploy_weixin_encoding_aes_key" -}}
  {{ .Values.deploy_weixin_encoding_aes_key | default "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" }}
{{- end -}}
{{- define "deploy_weixin_to_party" -}}
  {{ .Values.deploy_weixin_to_party | default "1" }}
{{- end -}}
{{- define "deploy_weixin_agent_id" -}}
  {{- if .Values.deploy_weixin_agent_id -}}
    {{- $agent :=  .Values.deploy_weixin_agent_id }}
    {{- $type := printf "%T" $agent }}
    {{- if eq $type "float64" -}}{{ printf "%.0f" $agent | squote }}{{ else }}{{ squote $agent }}{{- end -}}
  {{- else -}}
    '1000001'
  {{- end -}}
{{- end -}}
{{- define "deploy_weixin_api_secret" -}}
  {{ .Values.deploy_weixin_api_secret | default "none" }}
{{- end -}}
{{- define "deploy_dingtalk_webhook" -}}
  {{ .Values.deploy_dingtalk_webhook | default "none" }}
{{- end -}}
{{- define "deploy_dingtalk_secret" -}}
  {{ .Values.deploy_dingtalk_secret | default "none" }}
{{- end -}}
{{- define "deploy_timezone" -}}
  {{ .Values.deploy_timezone | default "Asia/Shanghai" }}
{{- end -}}
{{- define "deploy_istio_enabled" -}}
  {{ .Values.deploy_istio_enabled | default "false" }}
{{- end -}}
{{- define "deploy_istio_enable_kiali_tracing" -}}
  {{ .Values.deploy_istio_enable_kiali_tracing | default "true" }}
{{- end -}}
{{- define "deploy_storage_class_gisappset" -}}
  {{ .Values.deploy_storage_class_gisappset | default "none" }}
{{- end -}}
{{- define "deploy_storage_class_database" -}}
  {{ .Values.deploy_storage_class_database | default "none" }}
{{- end -}}
{{- define "deploy_storage_class_grafana" -}}
  {{ .Values.deploy_storage_class_grafana | default "none" }}
{{- end -}}
{{- define "deploy_storage_class_prometheus" -}}
  {{ .Values.deploy_storage_class_prometheus | default "none" }}
{{- end -}}
{{- define "deploy_storage_class_kibana" -}}
  {{ .Values.deploy_storage_class_kibana | default "none" }}
{{- end -}}
{{- define "deploy_storage_class_elasticsearch" -}}
  {{ .Values.deploy_storage_class_elasticsearch | default "none" }}
{{- end -}}
{{- define "deploy_imanager_storage_class_name" -}}
  {{- if .Values.deploy_nfs_server -}}
    imanager-storage-class
  {{- else if .Values.deploy_storage_class_name -}}
    {{ .Values.deploy_storage_class_name }}
  {{- else -}}
    imanager-storage-class
  {{- end -}}
{{- end -}}
{{- define "base_service_kind" -}}
kind=imanager-base
{{- end -}}
{{- define "deploy_image_namespace" -}}
  {{ .Values.deploy_image_namespace | default "supermap" }}
{{- end -}}
{{- define "deploy_async_function_enabled" -}}
  {{ .Values.deploy_async_function_enabled | default "false" }}
{{- end -}}
{{- define "deploy_sync_function_enabled" -}}
  {{ .Values.deploy_sync_function_enabled | default "false" }}
{{- end -}}
{{- define "system_alert_remind_day" -}}
  {{ .Values.system_alert_remind_day | default "30,20,15,7,3,1" }}
{{- end -}}
{{- define "system_alert_bslicense_expire_remind_config_name" -}}
  {{ .Values.system_alert_bslicense_expire_remind_config_name | default "license-expire-remind" }}
{{- end -}}
{{- define "deploy_imanager_user_name" -}}
  {{- if .Values.deploy_imanager_user_name -}}
  {{ .Values.deploy_imanager_user_name | b64enc }}
  {{- else -}}
    {{ "admin" | b64enc }}
  {{- end -}}
{{- end -}}
{{- define "deploy_imanager_password" -}}
  {{ "Supermap1997" | b64enc }}
{{- end -}}
{{- define "imanager_domain_ingress" -}}
  "none"
{{- end -}}

########################custom service config
{{- define "deploy_bslicense_server_host" -}}
  {{- if ne .Values.deploy_disable_bslicense true -}}
    bslicense-server
  {{- else -}}
    {{ .Values.deploy_bslicense_server_host | default "bslicense-server" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_bslicense_server_port" -}}
  {{- if ne .Values.deploy_disable_bslicense true -}}
    9183
  {{- else -}}
    {{ .Values.deploy_bslicense_server_port | default "9183" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_bslicense_server_url" -}}
{{- printf "ws://bslicense-server.%s.svc.cluster.local:9183" .Release.Namespace -}} 
{{- end -}}
{{- define "deploy_bslicense_ui_host" -}}
  {{- if ne .Values.deploy_disable_bslicense true -}}
    bslicense-ui
  {{- else -}}
    {{ .Values.deploy_bslicense_ui_host | default "bslicense-ui" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_bslicense_ui_port" -}}
  {{- if ne .Values.deploy_disable_bslicense true -}}
    9283
  {{- else -}}
    {{ .Values.deploy_bslicense_ui_port | default "9283" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_bslicense_ui_url" -}}
  http://{{ template "deploy_bslicense_ui_host" . }}:{{ template "deploy_bslicense_ui_port" . }}
{{- end -}}
{{- define "deploy_consul_server_host" -}}
  {{- if ne .Values.deploy_disable_consul_server true -}}
    consul-server
  {{- else -}}
    {{ .Values.deploy_consul_server_host | default "consul-server" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_consul_server_port" -}}
  {{- if ne .Values.deploy_disable_consul_server true -}}
    8500
  {{- else -}}
    {{ .Values.deploy_consul_server_port | default "8500" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_imanager_database_type" -}}
  {{- if ne .Values.deploy_disable_imanager_database true -}}
    mariadb
  {{- else -}}
    {{ .Values.deploy_imanager_database_type | default "mariadb" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_imanager_database_host" -}}
  {{- if ne .Values.deploy_disable_imanager_database true -}}
    imanager-mysql
  {{- else -}}
    {{ .Values.deploy_imanager_database_host | default "imanager-mysql" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_imanager_database_port" -}}
  {{- if ne .Values.deploy_disable_imanager_database true -}}
    3306
  {{- else -}}
    {{ .Values.deploy_imanager_database_port | default "3306" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_imanager_database_username" -}}
  {{- if ne .Values.deploy_disable_imanager_database true -}}
    supermap
  {{- else -}}
    {{ .Values.deploy_imanager_database_username | default "supermap" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_imanager_database_password" -}}
  {{- if ne .Values.deploy_disable_imanager_database true -}}
    {{ "supermap" | b64enc }}
  {{- else -}}
    {{ .Values.deploy_imanager_database_password | default "supermap" | b64enc }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_imanager_database_root_password" -}}
  {{- if ne .Values.deploy_disable_imanager_database true -}}
    {{ "supermap" | b64enc }}
  {{- else -}}
    {{ .Values.deploy_imanager_database_root_password | default "supermap" | b64enc }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_imanager_database_jdbc_url" -}}
  {{- if eq .Values.deploy_imanager_database_type "postgresql" -}}
    jdbc:{{ template "deploy_imanager_database_type" . }}://{{ template "deploy_imanager_database_host" . }}:{{ template "deploy_imanager_database_port" . }}/imanager?autoReconnect=true&useSSL=false&useUnicode=true&characterEncoding=utf8&stringtype=unspecified
  {{- else -}}
    jdbc:{{ template "deploy_imanager_database_type" . }}://{{ template "deploy_imanager_database_host" . }}:{{ template "deploy_imanager_database_port" . }}/imanager?autoReconnect=true&useSSL=false&useUnicode=true&characterEncoding=utf8
  {{- end -}} 
{{- end -}}
{{- define "deploy_imanager_phpmyadmin_host" -}}
  {{- if ne .Values.deploy_disable_imanager_phpmyadmin true -}}
    imanager-phpmyadmin
  {{- else -}}
    {{ .Values.deploy_imanager_phpmyadmin_host | default "imanager-phpmyadmin" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_imanager_phpmyadmin_port" -}}
  {{- if ne .Values.deploy_disable_imanager_phpmyadmin true -}}
    89
  {{- else -}}
    {{ .Values.deploy_imanager_phpmyadmin_port | default "89" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_imanager_gateway_redis_host" -}}
  {{- if ne .Values.deploy_disable_imanager_gateway_redis true -}}
    imanager-gateway-redis
  {{- else -}}
    {{ .Values.deploy_imanager_gateway_redis_host | default "imanager-gateway-redis" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_imanager_gateway_redis_port" -}}
  {{- if ne .Values.deploy_disable_imanager_gateway_redis true -}}
    6379
  {{- else -}}
    {{ .Values.deploy_imanager_gateway_redis_port | default "6379" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_imanager_gateway_redis_username" -}}
  {{- if ne .Values.deploy_disable_imanager_gateway_redis true -}}
    ""
  {{- else -}}
    {{ .Values.deploy_imanager_gateway_redis_username | default "" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_imanager_gateway_redis_password" -}}
  {{- if ne .Values.deploy_disable_imanager_gateway_redis true -}}
    ""
  {{- else -}}
    {{ .Values.deploy_imanager_gateway_redis_password | default "" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_keycloak_host" -}}
  {{- if ne .Values.deploy_disable_keycloak true -}}
    keycloak-internal
  {{- else -}}
    {{ .Values.deploy_keycloak_host | default "keycloak-internal" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_keycloak_port" -}}
  {{- if ne .Values.deploy_disable_keycloak true -}}
    8080
  {{- else -}}
    {{ .Values.deploy_keycloak_port | default "8080" }}
  {{- end -}} 
{{- end -}}
# custom keycloak url
{{- define "deploy_keycloak_url" -}}
  {{- if eq .Values.deploy_disable_keycloak true -}}
    http://{{- template "deploy_keycloak_host" . -}}:{{- template "deploy_keycloak_port" . -}}/auth
  {{- else -}}
    none
  {{- end -}}
{{- end -}}
# keycloak internal url
{{- define "deploy_keycloak_internal_url" -}}
  http://{{- template "deploy_keycloak_host" . -}}:{{- template "deploy_keycloak_port" . -}}/auth
{{- end -}}
# keycloak access url
{{- define "deploy_keycloak_access_url" -}}
  {{- if eq .Values.deploy_disable_keycloak true -}}
    {{- template "deploy_keycloak_url" . -}}
  {{- else -}}
    {{- template "deploy_imanager_service_protocol" . -}}://{{- .Values.deploy_kubernetes_public_ip -}}:{{- template "deploy_imanager_port" . -}}/auth
  {{- end -}}
{{- end -}}
{{- define "deploy_keycloak_admin_username" -}}
  {{- if ne .Values.deploy_disable_keycloak true -}}
    {{ "admin" | b64enc }}
  {{- else -}}
    {{ .Values.deploy_keycloak_admin_username | default "admin" | b64enc }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_keycloak_admin_password" -}}
  {{- if ne .Values.deploy_disable_keycloak true -}}
    {{ "keycloak" | b64enc }}
  {{- else -}}
    {{ .Values.deploy_keycloak_admin_password | default "keycloak" | b64enc }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_keycloak_postgresql_host" -}}
  {{- if ne .Values.deploy_disable_keycloak_postgresql true -}}
    keycloak-postgresql
  {{- else -}}
    {{ .Values.deploy_keycloak_postgresql_host | default "keycloak-postgresql" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_keycloak_postgresql_port" -}}
  {{- if ne .Values.deploy_disable_keycloak_postgresql true -}}
    keycloak-postgresql
  {{- else -}}
    {{ .Values.deploy_keycloak_postgresql_port | default "keycloak-postgresql" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_keycloak_postgresql_username" -}}
  {{- if ne .Values.deploy_disable_keycloak_postgresql true -}}
    {{ "supermap" | b64enc }}
  {{- else -}}
    {{ .Values.deploy_keycloak_postgresql_username | default "supermap" | b64enc }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_keycloak_postgresql_password" -}}
  {{- if ne .Values.deploy_disable_keycloak_postgresql true -}}
    {{ "supermap" | b64enc }}
  {{- else -}}
    {{ .Values.deploy_keycloak_postgresql_password | default "supermap" | b64enc }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_elasticsearch_host" -}}
  {{- if ne .Values.deploy_disable_elasticsearch true -}}
    elasticsearch
  {{- else -}}
    {{ .Values.deploy_elasticsearch_host | default "elasticsearch" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_elasticsearch_rest_port" -}}
  {{- if ne .Values.deploy_disable_elasticsearch true -}}
    9200
  {{- else -}}
    {{ .Values.deploy_elasticsearch_rest_port | default "9200" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_elasticsearch_tcp_port" -}}
  {{- if ne .Values.deploy_disable_elasticsearch true -}}
    9300
  {{- else -}}
    {{ .Values.deploy_elasticsearch_tcp_port | default "9300" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_elasticsearch_cluster_name" -}}
  {{ .Values.deploy_elasticsearch_cluster_name | default "kubernetes-logging" }}
{{- end -}}
{{- define "deploy_kibana_host" -}}
  {{- if ne .Values.deploy_disable_kibana true -}}
    kibana
  {{- else -}}
    {{ .Values.deploy_kibana_host | default "kibana" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_kibana_port" -}}
  {{- if ne .Values.deploy_disable_kibana true -}}
    5601
  {{- else -}}
    {{ .Values.deploy_kibana_port | default "5601" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_kibana_context_path" -}}
  {{- if eq .Values.deploy_disable_kibana true -}}
    {{ .Values.deploy_kibana_context_path | default "" }}
  {{- else -}}
    ""
  {{- end -}}
{{- end -}}
{{- define "deploy_kibana_url" -}}
{{- if and (eq .Values.deploy_disable_kibana true) (.Values.deploy_kibana_host) -}}
  http://{{ template "deploy_kibana_host" . }}:{{ template "deploy_kibana_port" . }}{{ template "deploy_kibana_context_path". }}
{{- else -}}
  none
{{- end -}}
{{- end -}}
{{- define "deploy_grafana_host" -}}
  {{- if ne .Values.deploy_disable_grafana true -}}
    grafana
  {{- else -}}
    {{ .Values.deploy_grafana_host | default "grafana" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_grafana_port" -}}
  {{- if ne .Values.deploy_disable_grafana true -}}
    3000
  {{- else -}}
    {{ .Values.deploy_grafana_port | default "3000" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_grafana_context_path" -}}
  {{- if eq .Values.deploy_disable_grafana true -}}
    {{ .Values.deploy_grafana_context_path | default "" }}
  {{- else -}}
    {{ "" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_grafana_url" -}}
{{- if and (eq .Values.deploy_disable_grafana true) (.Values.deploy_grafana_host) -}}
  http://{{ template "deploy_grafana_host" . }}:{{ template "deploy_grafana_port" . }}{{ template "deploy_grafana_context_path" . }}
{{- else -}}
  none
{{- end -}}
{{- end -}}
{{- define "deploy_grafana_postgresql_host" -}}
  {{- if ne .Values.deploy_disable_grafana_postgresql true -}}
    grafana-database
  {{- else -}}
    {{ .Values.deploy_grafana_postgresql_host | default "grafana-database" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_grafana_postgresql_port" -}}
  {{- if ne .Values.deploy_disable_grafana_postgresql true -}}
    5432
  {{- else -}}
    {{ .Values.deploy_grafana_postgresql_port | default "5432" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_grafana_postgresql_username" -}}
  {{- if ne .Values.deploy_disable_grafana_postgresql true -}}
    supermap
  {{- else -}}
    {{ .Values.deploy_grafana_postgresql_username | default "supermap" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_grafana_postgresql_password" -}}
  {{- if ne .Values.deploy_disable_grafana_postgresql true -}}
    {{ "supermap" | b64enc }}
  {{- else -}}
    {{ .Values.deploy_grafana_postgresql_password | default "supermap" | b64enc }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_blackbox_exporter_host" -}}
  {{- if ne .Values.deploy_disable_blackbox_exporter true -}}
    blackbox-exporter
  {{- else -}}
    {{ .Values.deploy_blackbox_exporter_host | default "blackbox-exporter" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_blackbox_exporter_port" -}}
  {{- if ne .Values.deploy_disable_blackbox_exporter true -}}
    9115
  {{- else -}}
    {{ .Values.deploy_blackbox_exporter_port | default "9115" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_monitor_k8s_ssl" -}}
    {{- if eq .Values.deploy_disable_ssl_exporter true -}}
      false
    {{- else -}}
      true
    {{- end -}}
{{- end -}}
{{- define "deploy_ssl_exporter_host" -}}
  {{- if ne .Values.deploy_disable_ssl_exporter true -}}
    ssl-exporter
  {{- else -}}
    {{ .Values.deploy_ssl_exporter_host | default "ssl-exporter" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_ssl_exporter_port" -}}
  {{- if ne .Values.deploy_disable_ssl_exporter true -}}
    9219
  {{- else -}}
    {{ .Values.deploy_ssl_exporter_port | default "9219" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_k8s_dashboard_host" -}}
  {{- if ne .Values.deploy_disable_k8s_dashboard true -}}
    k8s-dashboard
  {{- else -}}
    {{ .Values.deploy_k8s_dashboard_host | default "k8s-dashboard" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_k8s_dashboard_port" -}}
  {{- if ne .Values.deploy_disable_k8s_dashboard true -}}
    9090
  {{- else -}}
    {{ .Values.deploy_k8s_dashboard_port | default "9090" }}
  {{- end -}} 
{{- end -}}
{{- define "deploy_jaeger_url" -}}
  {{ .Values.deploy_jaeger_url | default "http://tracing.istio-system.svc" }}
{{- end -}}
{{- define "deploy_kiali_url" -}}
  {{ .Values.deploy_kiali_url | default "http://kiali.istio-system.svc:20001" }}
{{- end -}}
{{- define "imanager.labels" -}}
type: imanager
kind: imanager-base
{{- end -}}
{{- define "imanager.affinity" -}}
{{- with .Values.affinity -}}
affinity:
  {{- toYaml . | nindent 2 -}}
{{- end -}}
{{- end -}}
{{- define "imanager.tolerations" -}}
{{- with .Values.tolerations -}}
tolerations:
  {{- toYaml . | nindent 2 -}}
{{- end -}}
{{- end -}}
